import React from 'react';
import { EditableProps } from 'slate-react/dist/components/editable';
import { SPEditor } from '../types/SPEditor';
import { UseSlatePluginsEffectsOptions } from '../types/UseSlatePluginsEffectsOptions';
import { UseSlatePropsOptions } from '../types/UseSlatePropsOptions';
export interface SlatePluginsProps<T extends SPEditor = SPEditor> extends UseSlatePluginsEffectsOptions<T>, UseSlatePropsOptions {
    /**
     * The children rendered inside `Slate` before the `Editable` component.
     */
    children?: React.ReactNode;
    /**
     * The props for the `Editable` component.
     */
    editableProps?: EditableProps;
    /**
     * Custom `Editable` node.
     */
    renderEditable?: (editable: React.ReactNode) => React.ReactNode;
}
export declare const SlatePlugins: <T extends SPEditor = SPEditor>({ children, renderEditable, ...options }: SlatePluginsProps<T>) => JSX.Element | null;
//# sourceMappingURL=SlatePlugins.d.ts.map